Apache JMeter

## org.apache.jmeter.gui.action
Class CreateFunctionDialog

    java.lang.Object
      org.apache.jmeter.gui.action.AbstractAction
          org.apache.jmeter.gui.action.CreateFunctionDialog

All Implemented Interfaces:
  Command

public class CreateFunctionDialog
extends AbstractAction

Constructor Summary
`CreateFunctionDialog()`

Method Summary
`void` `doAction(ActionEvent arg0)`
`Set` `getActionNames()` Provide the list of Action names that are available in this command.

Methods inherited from class org.apache.jmeter.gui.action.AbstractAction
`popupShouldSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateFunctionDialog

    public CreateFunctionDialog()

Method Detail

### getActionNames

    public Set getActionNames()

  Provide the list of Action names that are available in this command.

  Specified by:
    `getActionNames` in interface `Command`
  Specified by:
    `getActionNames` in class `AbstractAction`
  See Also:
    `Command.getActionNames()`

### doAction

    public void doAction(ActionEvent arg0)

  Specified by:
    `doAction` in interface `Command`
  Overrides:
    `doAction` in class `AbstractAction`
  See Also:
    `Command.doAction(ActionEvent)`

Apache JMeter

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.